Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.api.client
Interface LocalMuleClient

All Superinterfaces:
  MuleClient

All Known Implementing Classes:
  DefaultLocalMuleClient

    public interface LocalMuleClient

extends MuleClient

Extends `MuleClient` adding methods that allow the use of an endpoint instance.

Method Summary
`MuleMessage` | `process(OutboundEndpoint endpoint, MuleMessage message)` Sends an event synchronously to a endpointUri via a Mule server and a resulting message is returned.
`MuleMessage` | `process(OutboundEndpoint endpoint, Object payload, Map<String,Object> messageProperties)` Sends an event synchronously to a endpointUri via a Mule server and a resulting message is returned.
`MuleMessage` | `request(InboundEndpoint endpoint, long timeout)` Will receive an event from an endpointUri determined by the URL.

Methods inherited from interface org.mule.api.client.MuleClient
`dispatch, dispatch, process, process, request, send, send, send, send`

Method Detail

### process

    MuleMessage process(OutboundEndpoint endpoint,
                        Object payload,
                        Map<String,Object> messageProperties)
                        throws MuleException

  Sends an event synchronously to a endpointUri via a Mule server and a resulting message is returned.

  Parameters:
    `endpoint` -
    `payload` - the object that is the payload of the event
    `messageProperties` - any properties to be associated with the payload. In the case of Jms you could set the JMSReplyTo property in these properties.
  Returns:
    A return message, this could be `null` if the the components invoked explicitly sets a return as `null`.
  Throws:
    `MuleException`

### process

    MuleMessage process(OutboundEndpoint endpoint,
                        MuleMessage message)
                        throws MuleException

  Sends an event synchronously to a endpointUri via a Mule server and a resulting message is returned.

  Parameters:
    `endpoint` -
    `message` - the Message for the event
  Returns:
    A return message, this could be `null` if the the components invoked explicitly sets a return as `null`.
  Throws:
    `MuleException`

### request

    MuleMessage request(InboundEndpoint endpoint,
                        long timeout)
                        throws MuleException

  Will receive an event from an endpointUri determined by the URL.

  Parameters:
    `endpoint` - the Mule URL used to determine the destination and transport of the message
    `timeout` - how long to block waiting to receive the event, if set to 0 the receive will not wait at all and if set to -1 the receive will wait forever
  Returns:
    the message received or `null` if no message was received
  Throws:
    `MuleException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.